using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Data;
using fatd_faturamento.DAL.Persistencia;
using fatd_faturamento.ENTIDADE;

namespace fatd_faturamento.BLL.Repositorio
{
    public class repositorioProprietario
    {
        public IList<entidadeProprietario> Select(entidadeProprietario objProprietario)
        {
            dalProprietario dalProprietario = null;

            var lstProprietario = new List<entidadeProprietario>();
            DataTable dt = null;

            try
            {
                dalProprietario = new dalProprietario();
                dt = dalProprietario.Select(objProprietario);

                foreach (DataRow dr in dt.Rows)
                {
                    objProprietario = new entidadeProprietario();


                    if (!Convert.IsDBNull(dr["ID"]))
                        objProprietario.ID = Convert.ToInt32(dr["ID"]);

                    if (!Convert.IsDBNull(dr["DESCRICAO"]))
                        objProprietario.DESCRICAO = dr["DESCRICAO"].ToString();

                    if (!Convert.IsDBNull(dr["SIGLA"]))
                        objProprietario.SIGLA = dr["SIGLA"].ToString();

                    if (!Convert.IsDBNull(dr["SITUACAO"]))
                        objProprietario.SITUACAO = dr["SITUACAO"].ToString();

                    if (!Convert.IsDBNull(dr["IDUSUARIOS"]))
                        objProprietario.IDUSUARIOS = Convert.ToInt32(dr["IDUSUARIOS"]);


                    lstProprietario.Add(objProprietario);
                }
                return lstProprietario;
            }
            catch (Exception)
            {
                throw;
            }
        }

    }
}
